# $Revision: 1.32 $, $Date: 2009/10/16 10:32:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Attribute
%define		pnam	Handlers
Summary:	Attribute::Handlers - simpler definition of attribute handlers
Summary(pl.UTF-8):	Attribute::Handlers - prostsze definiowanie programów obsługi atrybutów
Name:		perl-Attribute-Handlers
Version:	0.87
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9ea716276a99785f8d695f74fc0e95fc
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows that package's class to define attribute handler
subroutines for specific attributes. Variables and subroutines
subsequently defined in that package, or in packages derived from that
package may be given attributes with the same names as the attribute
handler subroutines, which will then be called at the end of the
compilation phase (i.e. in a `CHECK' block).

%description -l pl.UTF-8
Ten moduł pozwala klasom pakietu definiować podprogramy obsługi
atrybutów. Zmienne i podprogramy zdefiniowane w danym pakiecie lub
pakietach wywodzących się od pakietu mogą otrzymać atrybuty o tych
samych nazwach co podprogramy obsługi, które zostaną wywołane na końcu
fazy kompilacji (w bloku "CHECK").

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Attribute/Handlers.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Attribute-Handlers.spec,v $
Revision 1.32  2009/10/16 10:32:22  amateja
- updated to 0.87

Revision 1.31  2009/09/06 17:01:31  amateja
- updated to 0.86

Revision 1.30  2009/06/15 09:08:28  amateja
- updated to 0.85

Revision 1.29  2008/07/27 22:26:42  arekm
- release 4

Revision 1.28  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.26  2004/11/03 20:27:38  paladine
- formatting

Revision 1.25  2004/06/05 18:10:30  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.24  2004/05/07 01:09:15  ankry
- rel. 3

Revision 1.23  2004/05/06 18:01:26  ankry
- fixed perl-devel BR

Revision 1.22  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.21  2004/04/20 09:46:26  ankry
- bcond fixes/porting

Revision 1.20  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.19  2004/03/09 20:18:41  adamg
- new style bconds

Revision 1.18  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.17  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.16  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/24 20:31:50  radek
- use the __perl macro

Revision 1.10  2003/02/18 15:26:12  ankry
- massive attack: change CPAN URLs

Revision 1.9  2002/10/18 01:22:08  ankry
- updated to 0.78

Revision 1.8  2002/09/16 08:13:52  ankry
- tests on bcond
- remove %%{perl_sitelib}/Attribute dir (moved to perl)
- release 3

Revision 1.7  2002/07/20 10:17:15  qboosh
- new %%doc, BuildArch: noarch, added %%{perl_sitelib}/Attribute dir; release 2

Revision 1.6  2002/07/18 08:57:19  kloczek
- updated to 0.77.

Revision 1.5  2002/07/10 08:46:13  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.4  2002/05/11 14:28:04  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.3  2002/04/25 10:00:25  ankry
- added Date in header

Revision 1.2  2002/03/04 13:50:33  qboosh
- pl description

Revision 1.1  2002/03/04 06:55:42  depesz
new module
